%undefine _debugsource_packages
%undefine _debuginfo_subpackages

%global _hardened_build 1

#%%global dev rc1

Name:           libprometheus-cpp
Summary:        Prometheus Client Library for Modern C++
Version:        1.1.0
Release:        1%{?dev:%{dev}}%{?dist}
License:        MIT
Group:          Development/Libraries
Vendor:         The prometheus-cpp authors
Url:            https://github.com/jupp0r/prometheus-cpp
Source:         https://github.com/jupp0r/prometheus-cpp/releases/download/v%{version}/prometheus-cpp-with-submodules.tar.gz
Requires:       libxcrypt
BuildRequires:  cmake
BuildRequires:  zlib-devel
BuildRequires:  libcurl-devel

%description
This library aims to enable Metrics-Driven Development for C++ services. It
implements the Prometheus Data Model, a powerful abstraction on which to
collect and expose metrics. We offer the possibility for metrics to be
collected by Prometheus, but other push/pull collections can be added as
plugins.

%package devel
Summary: Prometheus Client Library C++ header files
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for prometheus-cpp library.

%prep
%setup -q -n prometheus-cpp-with-submodules

%build
%{cmake} . \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DBUILD_CONFIG=rpmbuild \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
    -DBUILD_SHARED_LIBS=ON \
    -DENABLE_TESTING=OFF \
    -DGENERATE_PKGCONFIG=OFF

export GCC_COLORS=
export VERBOSE=1
%cmake_build %{?_smp_mflags}

%install
%cmake_install

%clean

%files
%defattr(-,root,root,-)
%{_libdir}/libprometheus-cpp-*.so.*
%exclude %{_prefix}/lib/*
%exclude %{_prefix}/src/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/prometheus/*
%{_libdir}/libprometheus-cpp-*.so
%{_libdir}/cmake/prometheus-cpp/prometheus-cpp*.cmake

%changelog
* Tue Mar 7 2023 Kaleb S. KEITHLEY <kkeithle at redhat.com> - 1.1.0-3
- prometheus-cpp 1.1.0 GA

* Tue Mar 7 2023 Kaleb S. KEITHLEY <kkeithle at redhat.com> - 1.1.0-2
- prometheus-cpp 1.1.0 GA

* Mon Mar 6 2023 Kaleb S. KEITHLEY <kkeithle at redhat.com> - 1.1.0-1
- prometheus-cpp 1.1.0 GA

